import get from 'lodash.get'

const apiList = {
  app: {
    url: '',
    method: 'get',
  },
  building:{
    getbuilding:{
      url: '/api/lp/buildingBaseInfo/:project_id',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/buildingBaseInfo/:project_id',
    //   method: 'get',
    // },
  },
  buildingimage:{
    getbuildingimage:{
      url: '/api/lp/getBuildingImages/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/getBuildingImages/:buildingid',
    //   method: 'get',
    // },
  },
  buildingtype:{
    gethousetype:{
      url: '/api/lp/getBuildingModels/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/getBuildingModels/:buildingid',
    //   method: 'get',
    // },
  },
  addcollect:{
    collectbuilding:{
      url: '/api/lp/saveCollect/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/saveCollect/:buildingid',
    //   method: 'get',
    // },
  },

  vistors:{
    add:{
      url: '/api/lp/updateDynamicBrowsinginfo/:id',
      method: 'get',
    }
  },

  map:{
    getmapinformation:{
      url: '/api/lp/getBuildingRoute/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/lp/getBuildingRoute/:buildingid',
    //   method: 'get',
    // },
  },
  lookhouse:{
    subscribeinformation:{
      url: '/api/order/getBuildingInfo/:project_id',
      method: 'get',
    },
    // get:{
    //   url: '/api/order/getBuildingInfo/:project_id',
    //   method: 'get',
    // },
  },
  housenamelist:{
    getnamelist:{
      url: '/api/order/buildingList/:project_id',
      method: 'get',
    },
    // get:{
    //   url: '/api/order/buildingList/:project_id',
    //   method: 'get',
    // },
  },
  typelist:{
    gettypelist:{
      url: '/api/order/buildingInfo/:buildingid',
      method: 'get',
    },
    // get:{
    //   url: '/api/order/buildingInfo/:buildingid',
    //   method: 'get',
    // },
  },
  order: {
    save: {
      url: '/api/order/saveOrder',
      method: 'post',
    },
    // post: {
    //   url: '/api/order/saveOrder',
    //   method: 'post',
    // },
  },
  
  user: {
    get: {
      url: '/api/user',
      method: 'get',
    },
    update: {
      url: '/api/user/:id',
      method: 'post',
    },

  }
}

// user.update
// { id: 123 }
export default function getAPI(api, params) {
  if (!api) {
    return apiList;
  }

  const theAPI = get(apiList, api)
  if (!params) {
    return theAPI;
  }

  let url = theAPI.url;
  Object.keys(params).forEach((key) => {
    const val = params[key];

    url = url.replace(new RegExp(':' + key), val)
  })

  return { ...theAPI, url }
}
