import Vue from 'vue'
import Vant from 'vant'
import 'vant/lib/vant-css/index.css'
import App from './App.vue'
import router from './router'
import store from './store'
import AMap from 'vue-amap'
import VueAwesomeSwiper from 'vue-awesome-swiper'
import 'swiper/dist/css/swiper.css'

// import './theme'
// import './public/style/common.scss'
// import AMap  from 'vue-amap'

Vue.use(Vant)
Vue.use(AMap)
Vue.use(VueAwesomeSwiper, /* { default global options } */)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
