import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      detail: {},
    },
    mutations: {
        updateLookHouse(state, detail) {
        state.detail = detail
      }
    },
    actions: {
      getLookHouse({ commit }, params) {
          window.console.log(111)
        return new Promise((resolve, reject) => {
          request({ ...getAPI('lookhouse.subscribeinformation', { project_id: params.project_id }) }).then((data) => {
            commit('updateLookHouse', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }