import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      currentDate:new Date(),
      formdata:{}
    },
    mutations: {
      updateOrder(state, saveinformation) {
        state.saveinformation = saveinformation
      }
    },
    actions: {
      postOrder({ commit }, data) {
        window.console.log(555)
        return new Promise((resolve, reject) => {
          request({ ...getAPI('order.save', { data: data }) }).then((data) => {
            commit('updateOrder', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }