import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      vistorsnum: '',
    },
    mutations: {
      updateTypeList(state, vistorsnum) {
        state.vistorsnum = vistorsnum
      }
    },
    actions: {
      postvistor({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('vistors.gettypelist', { buildingid: params.buildingid }) }).then((data) => {
            commit('updateVistors', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }